namespace DBObj
{
    // song OOP test
    public class Song
    {
        private string Number;
        private string Name;
        private string Name_Simplified; 
        private string FileName;
        private int HumanVoice;
        private int DbChange;
        private string Situation;


        public Song(string num, string name, string name_s, string filename, int humanVoice, int dbChange, string situation)
        {
            Number = num;
            Name = name;
            Name_Simplified = name_s;
            FileName = filename;
            HumanVoice = humanVoice;
            DbChange = dbChange;
            Situation = situation;
        }
        public string getNumber() => Number;
        public string getName(bool IsSimplified) => IsSimplified ? Name_Simplified : Name;
        public string getName() =>Name;
        public string getFileName() => FileName;
        public int getHumanVoice() => HumanVoice;
        public int getDbChange() => DbChange;
        public string getSituation() => Situation;
        public string setNameTest(string s) => Name = Name + s;
    }
}